Brave (from Snap store) crashes under Wayland


#1

Version Information:

Brave 0.20.30
V8 6.4.388.40
rev 8b78402
Muon 4.7.9
OS Release 4.13.0-32-generic
Update Channel Release
OS Architecture x64
OS Platform Linux
Node.js 7.9.0
Brave Sync v1.4.2
libchromiumcontent 64.0.3282.119

Steps to reproduce:
-Install Ubuntu 17.10
-sudo apt dist-upgrade
-sudo snap install brave
-Launch Brave

What happens: nothing

Workaround: log in with Xorg (Wayland is enabled by default)

Additional info:
Journal reports only two lines from AppArmor in the first case (Wayland - not launched), they also appear in the second case (Xorg - launched), so they are probably not important, but in the second case (Xorg) it also reports:

brave_brave.desktop[3379]: Gtk-Message: Failed to load module "canberra-gtk-module"
brave_brave.desktop[3379]: Gtk-Message: Failed to load module "canberra-gtk-module"
brave_brave.desktop[3379]: ATTENTION: default value of option force_s3tc_enable overridden by environment.

Maybe that does have something to do with it… I don’t know.


#2

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.